desc Struct Reference
VTY Command

Command description structure. More...

`#include <command.h>`

## Data Fields

const char * | cmd
| Command string. More...
const char * | str
| Command's description. More...

## Detailed Description

Command description structure.

## Field Documentation

## cmd

const char* desc::cmd

Command string.

Referenced by cmd_cmdsize(), cmd_complete_command_real(), cmd_describe_command_real(), cmd_execute_command_real(), cmd_execute_command_strict(), cmd_make_descvec(), cmp_desc(), desc_unique_string(), is_cmd_ambiguous(), vty_describe_command(), vty_describe_fold(), and vty_dump_element().

## str

const char* desc::str

Command's description.

Referenced by cmd_make_descvec(), cmd_unique_string(), desc_unique_string(), is_cmd_ambiguous(), len(), vty_describe_command(), vty_describe_fold(), and vty_dump_element().

The documentation for this struct was generated from the following file:

- include/osmocom/vty/command.h